GNU Radio C++ API Reference: gr::digital::ofdm_equalizer_1d_pilots Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::digital::ofdm_equalizer_1d_pilots Class Reference

`#include <gnuradio/digital/ofdm_equalizer_base.h>`

## Public Types
typedef std::shared_ptr< ofdm_equalizer_1d_pilots > | sptr
Public Types inherited from gr::digital::ofdm_equalizer_base
typedef std::shared_ptr< ofdm_equalizer_base > | sptr

## Public Member Functions
| ofdm_equalizer_1d_pilots (int fft_len, const std::vector< std::vector< int > > &occupied_carriers, const std::vector< std::vector< int > > &pilot_carriers, const std::vector< std::vector< gr_complex > > &pilot_symbols, int symbols_skipped, bool input_is_shifted)
| ~ofdm_equalizer_1d_pilots () override
void | reset () override
| Reset the channel information state knowledge.
void | get_channel_state (std::vector< gr_complex > &taps) override
| Return the current channel state.
Public Member Functions inherited from gr::digital::ofdm_equalizer_base
| ofdm_equalizer_base (int fft_len)
virtual | ~ofdm_equalizer_base ()
virtual void | equalize (gr_complex *frame, int n_sym, const std::vector< gr_complex > &initial_taps=std::vector< gr_complex >(), const std::vector< tag_t > &tags=std::vector< tag_t >())=0
| Run the actual equalization.
int | fft_len ()
sptr | base ()

## Protected Attributes
std::vector< bool > | d_occupied_carriers
| If `d_occupied_carriers`[k][l] is true, symbol k, carrier l is carrying data.
std::vector< std::vector< bool > > | d_pilot_carriers
| If `d_pilot_carriers`[k][l] is true, symbol k, carrier l is carrying data.
std::vector< std::vector< gr_complex > > | d_pilot_symbols
| If `d_pilot_carriers`[k][l] is true, d_pilot_symbols[k][l] is its tx'd value.
int | d_symbols_skipped
| In case the frame doesn't begin with OFDM symbol 0, this is the index of the first symbol.
int | d_pilot_carr_set
| The current position in the set of pilot symbols.
std::vector< gr_complex > | d_channel_state
| Vector of length d_fft_len saving the current channel state (on the occupied carriers).
Protected Attributes inherited from gr::digital::ofdm_equalizer_base
int | d_fft_len

## Member Typedef Documentation

## ◆ sptr

typedef std::shared_ptr<ofdm_equalizer_1d_pilots> gr::digital::ofdm_equalizer_1d_pilots::sptr

## Constructor & Destructor Documentation

## ◆ ofdm_equalizer_1d_pilots()

gr::digital::ofdm_equalizer_1d_pilots::ofdm_equalizer_1d_pilots | ( | int | fft_len,
|  | const std::vector< std::vector< int > > & | occupied_carriers,
|  | const std::vector< std::vector< int > > & | pilot_carriers,
|  | const std::vector< std::vector< gr_complex > > & | pilot_symbols,
|  | int | symbols_skipped,
|  | bool | input_is_shifted )

References gr::digital::ofdm_equalizer_base::fft_len().

## ◆ ~ofdm_equalizer_1d_pilots()

gr::digital::ofdm_equalizer_1d_pilots::~ofdm_equalizer_1d_pilots | ( |  | ) |
| override

## Member Function Documentation

## ◆ get_channel_state()

void gr::digital::ofdm_equalizer_1d_pilots::get_channel_state | ( | std::vector< gr_complex > & | taps | ) |
| overridevirtual

Return the current channel state.

Implements gr::digital::ofdm_equalizer_base.

References taps.

## ◆ reset()

void gr::digital::ofdm_equalizer_1d_pilots::reset | ( |  | ) |
| overridevirtual

Reset the channel information state knowledge.

Implements gr::digital::ofdm_equalizer_base.

## Member Data Documentation

## ◆ d_channel_state

std::vector<gr_complex> gr::digital::ofdm_equalizer_1d_pilots::d_channel_state
| protected

Vector of length d_fft_len saving the current channel state (on the occupied carriers).

## ◆ d_occupied_carriers

std::vector<bool> gr::digital::ofdm_equalizer_1d_pilots::d_occupied_carriers
| protected

If `d_occupied_carriers`[k][l] is true, symbol k, carrier l is carrying data.

## ◆ d_pilot_carr_set

int gr::digital::ofdm_equalizer_1d_pilots::d_pilot_carr_set
| protected

The current position in the set of pilot symbols.

## ◆ d_pilot_carriers

std::vector<std::vector<bool> > gr::digital::ofdm_equalizer_1d_pilots::d_pilot_carriers
| protected

If `d_pilot_carriers`[k][l] is true, symbol k, carrier l is carrying data.

## ◆ d_pilot_symbols

std::vector<std::vector<gr_complex> > gr::digital::ofdm_equalizer_1d_pilots::d_pilot_symbols
| protected

If `d_pilot_carriers`[k][l] is true, d_pilot_symbols[k][l] is its tx'd value.

## ◆ d_symbols_skipped

int gr::digital::ofdm_equalizer_1d_pilots::d_symbols_skipped
| protected

In case the frame doesn't begin with OFDM symbol 0, this is the index of the first symbol.

The documentation for this class was generated from the following file:

- ofdm_equalizer_base.h